import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //修改學員用户
    editgradestudent(data) {
        return request({
            url: '/grade/student/edit',
            method: 'post',
            data
        })
    },
    //查询学员商品学习记录
    inquiregradestudentlist(data) {
        return request({
            url: '/grade/student/list',
            method: 'get',
            params: data
        })
    },
    //查询学员课程节学习记录
    inquiregradestudentlistSection(data) {
        return request({
            url: '/grade/student/listSection',
            method: 'get',
            params: data
        })
    },
    //查询學員用户列表
    inquiregradestudentlistStudent(data) {
        return request({
            url: '/grade/student/listStudent',
            method: 'get',
            params: data
        })
    },
    //查询学员课程科目学习记录
    inquiregradestudentlistSubject(data) {
        return request({
            url: '/grade/student/listSubject',
            method: 'get',
            params: data
        })
    },
    //查询班级记录列表
    inquiregradestudentlistUser(data) {
        return request({
            url: '/grade/student/listUser',
            method: 'get',
            params: data
        })
    },
    //查询学员课程科目学习记录
    inquiregradestudentlistExam(data) {
        return request({
            url: '/grade/student/listExam',
            method: 'get',
            params: data
        })
    },
    //修改用户修改记录
    editgradestudentuserUpdate(data) {
        return request({
            url: '/grade/student/userUpdate',
            method: 'post',
            data
        })
    },
    // 查询用户修改记录列表
    inquireuserUpdateListsy(data) {
        return request({
            url: '/grade/student/userUpdateList',
            method: 'get',
            params: data
        })
    },
    // 查询用户修改记录列表
    inquireuserChangeInfoList(data) {
        return request({
            url: '/grade/student/userChangeInfoList',
            method: 'get',
            params: data
        })
    },
    // 查询学员直播商品学习记录
    inquireuserlistLive(data) {
        return request({
            url: '/grade/student/listLive',
            method: 'get',
            params: data
        })
    },
    // 导出學員用户列表
    inquiregradestudentlistStudentExport(data) {
        return request({
            url: '/grade/student/listStudentExport',
            method: 'get',
            params: data
        })
    },
    

}